package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class TicketAddBean {

        /**
         * records : [{"createdBy":705,"createdByName":null,"createdTime":"2020-03-31 09:50:26","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":"0e071cf4258047c1b34e3d26891e2cfe","orderId":"SO10750","productId":16402,"innerPrice":11,"productCount":2,"type":"PDS","outerPrice":25,"storeSum":2,"shipSum":2,"packageSum":0,"usedSum":2,"invoiceSum":0,"usedReturnSum":0,"oddSum":0,"lotNumber":"200331006","serialNumber":"PDS20033109502646","annex":null,"tranFromStockId":null,"customerBranchFactoryId":407,"version":4,"productName":"测试单元","itemFlows":null,"stockQuantityDetailList":null,"stockQuantityDetailMaps":null,"productSoleCode":"pinhao","productSimpleCode":"tuhao","productSpec":"1*2","productUnit":"个","productWeight":null,"canOutStoreProductSum":null,"canInStoreProductSum":null,"canUseProductSum":null,"canPackageSum":null,"launchDeptName":"销售四公司","launchDeptId":null,"receiveDeptName":"技术中心","customerId":null,"customerName":"测试工厂","productOfKind":"自制成品","canInvoiceSum":2,"orderType":null,"customerBranchFactoryName":null,"orderTypeName":null}]
         * total : 1
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : 705
             * createdByName : null
             * createdTime : 2020-03-31 09:50:26
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 0e071cf4258047c1b34e3d26891e2cfe
             * orderId : SO10750
             * productId : 16402
             * innerPrice : 11.0
             * productCount : 2.0
             * type : PDS
             * outerPrice : 25.0
             * storeSum : 2.0
             * shipSum : 2.0
             * packageSum : 0.0
             * usedSum : 2.0
             * invoiceSum : 0.0
             * usedReturnSum : 0.0
             * oddSum : 0.0
             * lotNumber : 200331006
             * serialNumber : PDS20033109502646
             * annex : null
             * tranFromStockId : null
             * customerBranchFactoryId : 407
             * version : 4
             * productName : 测试单元
             * itemFlows : null
             * stockQuantityDetailList : null
             * stockQuantityDetailMaps : null
             * productSoleCode : pinhao
             * productSimpleCode : tuhao
             * productSpec : 1*2
             * productUnit : 个
             * productWeight : null
             * canOutStoreProductSum : null
             * canInStoreProductSum : null
             * canUseProductSum : null
             * canPackageSum : null
             * launchDeptName : 销售四公司
             * launchDeptId : null
             * receiveDeptName : 技术中心
             * customerId : null
             * customerName : 测试工厂
             * productOfKind : 自制成品
             * canInvoiceSum : 2.0
             * orderType : null
             * customerBranchFactoryName : null
             * orderTypeName : null
             */

            private int createdBy;
            private Object createdByName;
            private String createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private String id;
            private String orderId;
            private int productId;
            private double innerPrice;
            private int productCount;
            private String type;
            private double outerPrice;
            private double storeSum;
            private double shipSum;
            private double packageSum;
            private double usedSum;
            private double invoiceSum;
            private double usedReturnSum;
            private double oddSum;
            private String lotNumber;
            private String serialNumber;
            private Object annex;
            private Object tranFromStockId;
            private int customerBranchFactoryId;
            private int version;
            private String productName;
            private Object itemFlows;
            private Object stockQuantityDetailList;
            private Object stockQuantityDetailMaps;
            private String productSoleCode;
            private String productSimpleCode;
            private String productSpec;
            private String productUnit;
            private Object productWeight;
            private Object canOutStoreProductSum;
            private Object canInStoreProductSum;
            private Object canUseProductSum;
            private Object canPackageSum;
            private String launchDeptName;
            private Object launchDeptId;
            private String receiveDeptName;
            private Object customerId;
            private String customerName;
            private String productOfKind;
            private double canInvoiceSum;
            private Object orderType;
            private Object customerBranchFactoryName;
            private Object orderTypeName;
            private String carPrice;
            private String carNum;
            private Double  canReceiptInvoiceSum;

            public Double getCanReceiptInvoiceSum() {
                return canReceiptInvoiceSum;
            }

            public void setCanReceiptInvoiceSum(Double canReceiptInvoiceSum) {
                this.canReceiptInvoiceSum = canReceiptInvoiceSum;
            }

            public String getCarPrice() {
                return carPrice;
            }

            public void setCarPrice(String carPrice) {
                this.carPrice = carPrice;
            }

            public String getCarNum() {
                return carNum;
            }

            public void setCarNum(String carNum) {
                this.carNum = carNum;
            }
            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public int getProductId() {
                return productId;
            }

            public void setProductId(int productId) {
                this.productId = productId;
            }

            public double getInnerPrice() {
                return innerPrice;
            }

            public void setInnerPrice(double innerPrice) {
                this.innerPrice = innerPrice;
            }

            public int getProductCount() {
                return productCount;
            }

            public void setProductCount(int productCount) {
                this.productCount = productCount;
            }

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }

            public double getOuterPrice() {
                return outerPrice;
            }

            public void setOuterPrice(double outerPrice) {
                this.outerPrice = outerPrice;
            }

            public double getStoreSum() {
                return storeSum;
            }

            public void setStoreSum(double storeSum) {
                this.storeSum = storeSum;
            }

            public double getShipSum() {
                return shipSum;
            }

            public void setShipSum(double shipSum) {
                this.shipSum = shipSum;
            }

            public double getPackageSum() {
                return packageSum;
            }

            public void setPackageSum(double packageSum) {
                this.packageSum = packageSum;
            }

            public double getUsedSum() {
                return usedSum;
            }

            public void setUsedSum(double usedSum) {
                this.usedSum = usedSum;
            }

            public double getInvoiceSum() {
                return invoiceSum;
            }

            public void setInvoiceSum(double invoiceSum) {
                this.invoiceSum = invoiceSum;
            }

            public double getUsedReturnSum() {
                return usedReturnSum;
            }

            public void setUsedReturnSum(double usedReturnSum) {
                this.usedReturnSum = usedReturnSum;
            }

            public double getOddSum() {
                return oddSum;
            }

            public void setOddSum(double oddSum) {
                this.oddSum = oddSum;
            }

            public String getLotNumber() {
                return lotNumber;
            }

            public void setLotNumber(String lotNumber) {
                this.lotNumber = lotNumber;
            }

            public String getSerialNumber() {
                return serialNumber;
            }

            public void setSerialNumber(String serialNumber) {
                this.serialNumber = serialNumber;
            }

            public Object getAnnex() {
                return annex;
            }

            public void setAnnex(Object annex) {
                this.annex = annex;
            }

            public Object getTranFromStockId() {
                return tranFromStockId;
            }

            public void setTranFromStockId(Object tranFromStockId) {
                this.tranFromStockId = tranFromStockId;
            }

            public int getCustomerBranchFactoryId() {
                return customerBranchFactoryId;
            }

            public void setCustomerBranchFactoryId(int customerBranchFactoryId) {
                this.customerBranchFactoryId = customerBranchFactoryId;
            }

            public int getVersion() {
                return version;
            }

            public void setVersion(int version) {
                this.version = version;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public Object getItemFlows() {
                return itemFlows;
            }

            public void setItemFlows(Object itemFlows) {
                this.itemFlows = itemFlows;
            }

            public Object getStockQuantityDetailList() {
                return stockQuantityDetailList;
            }

            public void setStockQuantityDetailList(Object stockQuantityDetailList) {
                this.stockQuantityDetailList = stockQuantityDetailList;
            }

            public Object getStockQuantityDetailMaps() {
                return stockQuantityDetailMaps;
            }

            public void setStockQuantityDetailMaps(Object stockQuantityDetailMaps) {
                this.stockQuantityDetailMaps = stockQuantityDetailMaps;
            }

            public String getProductSoleCode() {
                return productSoleCode;
            }

            public void setProductSoleCode(String productSoleCode) {
                this.productSoleCode = productSoleCode;
            }

            public String getProductSimpleCode() {
                return productSimpleCode;
            }

            public void setProductSimpleCode(String productSimpleCode) {
                this.productSimpleCode = productSimpleCode;
            }

            public String getProductSpec() {
                return productSpec;
            }

            public void setProductSpec(String productSpec) {
                this.productSpec = productSpec;
            }

            public String getProductUnit() {
                return productUnit;
            }

            public void setProductUnit(String productUnit) {
                this.productUnit = productUnit;
            }

            public Object getProductWeight() {
                return productWeight;
            }

            public void setProductWeight(Object productWeight) {
                this.productWeight = productWeight;
            }

            public Object getCanOutStoreProductSum() {
                return canOutStoreProductSum;
            }

            public void setCanOutStoreProductSum(Object canOutStoreProductSum) {
                this.canOutStoreProductSum = canOutStoreProductSum;
            }

            public Object getCanInStoreProductSum() {
                return canInStoreProductSum;
            }

            public void setCanInStoreProductSum(Object canInStoreProductSum) {
                this.canInStoreProductSum = canInStoreProductSum;
            }

            public Object getCanUseProductSum() {
                return canUseProductSum;
            }

            public void setCanUseProductSum(Object canUseProductSum) {
                this.canUseProductSum = canUseProductSum;
            }

            public Object getCanPackageSum() {
                return canPackageSum;
            }

            public void setCanPackageSum(Object canPackageSum) {
                this.canPackageSum = canPackageSum;
            }

            public String getLaunchDeptName() {
                return launchDeptName;
            }

            public void setLaunchDeptName(String launchDeptName) {
                this.launchDeptName = launchDeptName;
            }

            public Object getLaunchDeptId() {
                return launchDeptId;
            }

            public void setLaunchDeptId(Object launchDeptId) {
                this.launchDeptId = launchDeptId;
            }

            public String getReceiveDeptName() {
                return receiveDeptName;
            }

            public void setReceiveDeptName(String receiveDeptName) {
                this.receiveDeptName = receiveDeptName;
            }

            public Object getCustomerId() {
                return customerId;
            }

            public void setCustomerId(Object customerId) {
                this.customerId = customerId;
            }

            public String getCustomerName() {
                return customerName;
            }

            public void setCustomerName(String customerName) {
                this.customerName = customerName;
            }

            public String getProductOfKind() {
                return productOfKind;
            }

            public void setProductOfKind(String productOfKind) {
                this.productOfKind = productOfKind;
            }

            public double getCanInvoiceSum() {
                return canInvoiceSum;
            }

            public void setCanInvoiceSum(double canInvoiceSum) {
                this.canInvoiceSum = canInvoiceSum;
            }

            public Object getOrderType() {
                return orderType;
            }

            public void setOrderType(Object orderType) {
                this.orderType = orderType;
            }

            public Object getCustomerBranchFactoryName() {
                return customerBranchFactoryName;
            }

            public void setCustomerBranchFactoryName(Object customerBranchFactoryName) {
                this.customerBranchFactoryName = customerBranchFactoryName;
            }

            public Object getOrderTypeName() {
                return orderTypeName;
            }

            public void setOrderTypeName(Object orderTypeName) {
                this.orderTypeName = orderTypeName;
            }
        }
}
